<?php

include 'conexao.php';
require('bcrypt.php');

$id = $_POST['id'];
$id_usuario = $_POST['id_usuario'];

$nova_senha = $_POST['nova_senha'];
$nova_senha_2 = $_POST['nova_senha_2'];


if ($nova_senha === $nova_senha_2) {

    $senha_certa = Bcrypt::hash($nova_senha);

    $uper = $sqli->query("UPDATE usuarios SET senha='$senha_certa' WHERE id='$id_usuario'");

    $uper2 = $sqli->query("UPDATE esqueci_senha SET status='1' WHERE id='$id'");

    session_destroy(); //pei!!! destruimos a sessão ;)
    session_unset(); //limpamos as variaveis globais das sessões

    echo "<script> alert('Senha alterada, faca seu login novamente!'); window.location.href='login.php';</script>";


}

else {

    echo "<script> alert('Preencha todos os dados corretamente'); window.location='renovacao_senha.php?id=$id'; </script>";

}



?>